Bug 615099 - PackageKit never displays any notices of updates
PackageKit never displays any notices of updates
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: PackageKit (Show other bugs)
13
All Linux
low Severity high
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-15 19:14 EDT by James Ralston
Modified: 2011-06-01 16:40 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-01 16:40:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description James Ralston 2010-07-15 19:14:05 EDT
Starting approximately a few weeks ago, PackageKit ceased to notify me of package updates.

The pkcon command claims that package updates are available:

$ pkcon get-updates | grep Security
Security     libvirt-0.8.2-1.fc13.x86_64
Security     libvirt-client-0.8.2-1.fc13.x86_64
Security     libvirt-python-0.8.2-1.fc13.x86_64

So does yum, if I run it directly as root.

But if I run System -> Administration -> Software Update, after the Software Update window appears, a small pop-up window appears that says:

    Could not get updates

    Failed to process request.

    > More details

If I click on the "More details" arrow widget, the revealed text is:

    Unknown filter part:
    unknown

That's it. There's nothing else to go on to attempt to figure this out.

Also, the only way to see this error is to manually run System -> Administration -> Software Update. Unless you do that, PackageKit generates no notifications whatsoever.

I regularly run "yum update", so this isn't a big deal for me. But if PackageKit is silently failing like this for other Fedora users, that is EXTREMELY bad news.

I have another F13 machine (my laptop) which doesn't have this problem. The only difference I can think of between the two is that the box on which PackageKit fails doesn't run NetworkManager, while my laptop does. But otherwise, the versions are the same:

0:PackageKit-0.6.6-1.fc13.x86_64
0:PackageKit-command-not-found-0.6.6-1.fc13.x86_64
0:PackageKit-device-rebind-0.6.6-1.fc13.x86_64
0:PackageKit-glib-0.6.6-1.fc13.x86_64
0:PackageKit-gstreamer-plugin-0.6.6-1.fc13.x86_64
0:PackageKit-gtk-module-0.6.6-1.fc13.x86_64
0:PackageKit-yum-0.6.6-1.fc13.x86_64
0:PackageKit-yum-plugin-0.6.6-1.fc13.x86_64

Again, this isn't a big deal for me, but if PackageKit is falling over for others, that's bad...
Comment 1 Richard Hughes 2010-07-16 14:47:54 EDT
(In reply to comment #0)
>     Unknown filter part:
>     unknown

That looks new to me. Can you describe the system that this is running on? Are you just using fedora packages? Does "gconftool-2 --recursive-unset /apps/gnome-packagekit" fix things?
Comment 2 Arkady L. Shane 2010-07-19 10:36:23 EDT
I can say something. It does not really work with PackageKit 0.6.6-1.fc13. gpk-update-icon does not appear in tray. As soon as I downgraded PackageKit to 0.6.5-1.fc13 this icon appeared again.

gpk-update-viewer knows about updates, but gpk-update-icon does not appear in the tray.
Comment 3 James Ralston 2010-07-19 12:02:03 EDT
In reply to comment 1:

I'm using a variety of repositories on this system (adobe-linux-i386, chromium, dell-community-repository, dell-firmware-repository, rpmfusion*), but I saw the problem when I (temporarily) removed all repository configuration files from /etc/yum.repos.d except (fedora, fedora-updates, fedora-updates-testing).

However, running "gconftool-2 --recursive-unset /apps/gnome-packagekit" did indeed make the "Unknown filter part" error go away, so that was clearly a setting issue of some sort. I'll see if I can't manage to reproduce it.

But Arkady's observation in comment 2 is true for me as well: out of the 3 Fedora 13 systems I have (all with the fedora-updates-testing repository enabled and all of them currently up-to-date), none of them show any update/progress icons in the system tray. If I downgrade PackageKit* to 0.6.3, then the icons appear again.

So, it would seem that notifications in 0.6.6 is borked somehow...
Comment 4 Richard Hughes 2010-07-20 03:50:08 EDT
commit 91253f96d10a630936c1fc058b511a9dc7a705d1
Author: Richard Hughes <richard@hughsie.com>
Date:   Tue Jul 20 08:49:32 2010 +0100

    Fix an important bug that stopped GetUpdates from working correctly. Fixes rh#615099
    
    We were sending an enum, when we should have been sending a bitfield.
    All the time that PK_FILTER_ENUM_NONE was index zero this was no
    problem, and it masked the bug. But when PK_FILTER_ENUM_UNKNOWN pushed
    'none' into second spot in the enum list this caused a client side failure

diff --git a/src/gpk-check-update.c b/src/gpk-check-update.c
index 15fb1ed..ca8ba97 100644
--- a/src/gpk-check-update.c
+++ b/src/gpk-check-update.c
@@ -1056,7 +1056,9 @@ gpk_check_update_query_updates (GpkCheckUpdate *cupdate)
        }
 
        /* get new update list */
-       pk_client_get_updates_async (PK_CLIENT(cupdate->priv->task), PK_FILTER_ENUM_NONE, cupdate->priv->cancellable, NULL, NULL,
+       pk_client_get_updates_async (PK_CLIENT(cupdate->priv->task),
+                                    pk_bitfield_value (PK_FILTER_ENUM_NONE),
+                                    cupdate->priv->cancellable, NULL, NULL,
                                     (GAsyncReadyCallback) gpk_check_update_get_updates_finished_cb, cupdate);
 out:
        return;
Comment 6 Arkady L. Shane 2010-07-21 03:14:44 EDT
I think it does not work proper. After "pkcon refresh" the icon is appearing, but I waited about 12 hours and icon did not appear itself (without any yum or pkcon manipulations).

With PackageKit 0.6.5 the icon is appearing very very quickly.
Comment 7 Arkady L. Shane 2010-07-22 05:49:05 EDT
No, I wait a day on several hosts. it worked!!!
Comment 8 Richard Hughes 2010-07-22 09:17:54 EDT
(In reply to comment #7)
> No, I wait a day on several hosts. it worked!!!    

Could you add karma to https://admin.fedoraproject.org/updates/gnome-packagekit-2.30.3-1.fc13 please. Thanks.
Comment 9 Bug Zapper 2011-06-01 09:47:03 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 James Ralston 2011-06-01 16:40:57 EDT
gnome-packagekit-2.30.3-1.fc13 was pushed to stable on 2010-07-23, and it corrects this bug. So closing.

Note You need to log in before you can comment on or make changes to this bug.